เว็บไซต์
GET https://apps.yadeep.com/api/websites/
curl --request GET \
--url 'https://apps.yadeep.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://apps.yadeep.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| page | ไม่จำเป็น จำนวนเต็ม | หมายเลขหน้าที่คุณต้องการผลลัพธ์ ค่าเริ่มต้นคือ 1 |
| results_per_page | ไม่จำเป็น จำนวนเต็ม | จำนวนผลลัพธ์ที่คุณต้องการต่อหน้า ค่าที่อนุญาตคือ: 10 , 25 , 50 , 100 , 250 , 500 , 1000 ค่าเริ่มต้นคือ 25 |
{
"data": [
{
"id": 1,
"pixel_key": "1234567890123456",
"name": "Localhost",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "normal",
"excluded_ips": "",
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"is_enabled": true,
"datetime": "2026-07-10 02:08:46"
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://apps.yadeep.com/api/websites?&page=1",
"last": "https://apps.yadeep.com/api/websites?&page=1",
"next": null,
"prev": null,
"self": "https://apps.yadeep.com/api/websites?&page=1"
}
}
GET https://apps.yadeep.com/api/websites/{website_id}
curl --request GET \
--url 'https://apps.yadeep.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://apps.yadeep.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"pixel_key": "1234567890123456",
"name": "Localhost",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "normal",
"excluded_ips": "",
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"is_enabled": true,
"datetime": "2026-07-10 02:08:46"
"last_datetime": null
}
}
POST https://apps.yadeep.com/api/websites
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| name | จำเป็น ข้อความ | - |
| scheme | ไม่จำเป็น ข้อความ | ค่าที่อนุญาต: http://, https:// |
| host | จำเป็น ข้อความ | ตัวอย่าง: example.com/path |
| tracking_type | ไม่จำเป็น ข้อความ | ค่าที่อนุญาต: lightweight, normal |
| excluded_ips | ไม่จำเป็น ข้อความ | ยกเว้น IP จากการติดตาม ป้อนค่าที่คั่นด้วยเครื่องหมายจุลภาค |
| events_children_is_enabled | ไม่จำเป็น บูลีน | ติดตามกิจกรรมผู้เยี่ยมชม (การคลิกเมาส์ การปรับขนาด การเลื่อน การส่งแบบฟอร์ม) ค่าที่อนุญาตคือ: 0 หรือ 1 ใช้ได้เฉพาะกับประเภทการติดตาม normal เท่านั้น |
| sessions_replays_is_enabled | ไม่จำเป็น บูลีน | Session Replays ค่าที่อนุญาตคือ: 0 หรือ 1 ใช้ได้เฉพาะกับประเภทการติดตาม normal เท่านั้น |
| email_reports_is_enabled | ไม่จำเป็น บูลีน | รายงานทางอีเมล ค่าที่อนุญาตคือ: 0 หรือ 1 |
| ip_storage_is_enabled | ไม่จำเป็น บูลีน | ใช้ได้เมื่อ: tracking_type = normal |
| query_parameters_tracking_is_enabled | ไม่จำเป็น บูลีน | - |
| bot_exclusion_is_enabled | ไม่จำเป็น บูลีน | - |
| public_statistics_is_enabled | ไม่จำเป็น บูลีน | - |
| public_statistics_password | ไม่จำเป็น ข้อความ | - |
| is_enabled | ไม่จำเป็น บูลีน | - |
curl --request POST \
--url 'https://apps.yadeep.com/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'name=Example' \
--url 'https://apps.yadeep.com/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
POST https://apps.yadeep.com/api/websites/{website_id}
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| name | ไม่จำเป็น ข้อความ | - |
| scheme | ไม่จำเป็น ข้อความ | ค่าที่อนุญาต: http://, https:// |
| host | ไม่จำเป็น ข้อความ | ตัวอย่าง: example.com/path |
| excluded_ips | ไม่จำเป็น ข้อความ | ยกเว้น IP จากการติดตาม ป้อนค่าที่คั่นด้วยเครื่องหมายจุลภาค |
| events_children_is_enabled | ไม่จำเป็น บูลีน | ติดตามกิจกรรมผู้เยี่ยมชม (การคลิกเมาส์ การปรับขนาด การเลื่อน การส่งแบบฟอร์ม) ค่าที่อนุญาตคือ: 0 หรือ 1 ใช้ได้เฉพาะกับประเภทการติดตาม normal เท่านั้น |
| sessions_replays_is_enabled | ไม่จำเป็น บูลีน | Session Replays ค่าที่อนุญาตคือ: 0 หรือ 1 ใช้ได้เฉพาะกับประเภทการติดตาม normal เท่านั้น |
| email_reports_is_enabled | ไม่จำเป็น บูลีน | รายงานทางอีเมล ค่าที่อนุญาตคือ: 0 หรือ 1 |
| ip_storage_is_enabled | ไม่จำเป็น บูลีน | ใช้ได้เมื่อ: tracking_type = normal |
| query_parameters_tracking_is_enabled | ไม่จำเป็น บูลีน | - |
| bot_exclusion_is_enabled | ไม่จำเป็น บูลีน | - |
| public_statistics_is_enabled | ไม่จำเป็น บูลีน | - |
| public_statistics_password | ไม่จำเป็น ข้อความ | - |
| is_enabled | ไม่จำเป็น บูลีน | - |
curl --request POST \
--url 'https://apps.yadeep.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
--url 'https://apps.yadeep.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://apps.yadeep.com/api/websites/{website_id}
curl --request DELETE \
--url 'https://apps.yadeep.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://apps.yadeep.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \